<?php

if (!defined('ABSPATH')) {
    define('ABSPATH', dirname(__FILE__) . '/');
}


// require ABSPATH  . 'wp-content/plugins/wordpress-importer/class-wp-import.php';
// require ABSPATH  . 'wp-content/plugins/wordpress-importer/parsers/class-wxr-parser.php';
// require ABSPATH  . 'wp-content/plugins/wordpress-importer/parsers/class-wxr-parser-simplexml.php';
class WP_importer
{

    public function __construct()
    {
        $this->main();
    }

    public function main()
    {

        //$file = file_get_contents($data);
        //$xml = simplexml_load_string($file);
        //$size = count($xml->channel->item);
        $hasData = false;
        $inserted_post_ids = array();
        $post_type = 'wpcf7_contact_form';

        if ($size > 0) {
            $hasData = true;
        }

        if ($hasData) {
            foreach ($xml->channel->item as $item) {

                $author_id = 1;
                $postCreated = array(
                    'post_title' => $item->title . " IMPORTADO",
                    'post_content' => $item->content,
                    'post_excerpt' => $item->excerpt,
                    'post_status' => 'publish',
                    'ping_status' => 'closed',
                    'post_author' => $author_id,
                    'post_type' =>  $post_type // Or "page" or some custom post type
                );

                $result = wp_insert_post($postCreated);

                if ($result > 0) {
                    $inserted_post_id = $result;
                    //add all post meta info
                    add_post_meta($inserted_post_id, 'content_type', $post_type);
                    //update the list of inserted post ids
                    $inserted_post_ids[] = $inserted_post_id;
                }
            }
        }
    }
}

add_action('upgrader_process_complete', 'ImportarXML');


function ImportarXML()
{
    $versao_plugin_antiga = VERSION_PLUGIN_ALTIMUS;
    if ($versao_plugin_antiga <= 202209080) {
        $data = plugin_dir_path(__FILE__, true) . '2022_10_06_0.xml';
    } else {
        $data = plugin_dir_path(__FILE__, true) . 'formularios.xml';
    }
    $obj = new WP_Import;
    $obj->import($data);
}


function parse($file)
{
    $parser = new WXR_Parser();
    return $parser->parse($file);
}

function xmlparse($file)
{
    $parser = new WXR_Parser_SimpleXML();
    return $parser->parse($file);
}